﻿@model StarterProjectV2.Models.OwnersPayment

@{
    ViewData["Title"] = "Module";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Payment Edit
}
<body style="background-color: oldlace">

<h2 class="text-center" style="color:indianred">@ViewData["Title"]</h2>

<div class="card">
    <div class="card-header">
        <strong>Please fill up the following information</strong>
    </div>
    @using (Html.BeginForm("OwnerPaymentEdit", "Dividend", FormMethod.Post))
    {

        <div class="card-body">
            <h1 class="text-center" style="color:indianred">Owner's Payment Information Form</h1>
            <p class="text-muted"></p>
            <div class="input-group mb-3">
                <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Slot Id</label>
                @Html.TextBoxFor(m => m.SlotId,
                    new { @class = "form-control col-sm-3 col-lg-3 col-md-3", type = "text", @readonly = "readonly" })
            </div>


            <div class="input-group mb-3">
                <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Receiver Name</label>
                @Html.TextBoxFor(m => m.ReceiverName, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Father's Name", type = "text", @readonly = "readonly" })
                <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Receiving Bank</label>
                @Html.TextBoxFor(m => m.ReceivingBank, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "No Receiving Bank Data Available", type = "text" })

            </div>

            <div class="input-group mb-3">
                <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Dividend Amount</label>
                @Html.TextBoxFor(m => m.Amount, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Spouse's Name", type = "text", @readonly = "readonly" })
                <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Payment Receiving Date</label>
                @if (Model.PaymentDate == Convert.ToDateTime("1900-01-01 00:00:00.000"))
                {
                    @Html.TextBoxFor(m => m.PaymentDate, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Receiving Bank", id = "payment-date", type = "date", @Value = "" })
                }
                else
                {
                    @Html.TextBoxFor(m => m.PaymentDate,
                        new { @class = "form-control col-sm-3 col-lg-3 col-md-3", id = "payment-date", type = "date", @Value = Model.PaymentDate.ToString("yyyy-MM-dd") })
                }
            </div>
            <div class="input-group mb-3">
                <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Dividend Start Month</label>
                @Html.TextBoxFor(m => m.FromMonth,
                    new { @class = "form-control col-sm-3 col-lg-3 col-md-3", type = "date", @readonly = "readonly", @Value = Model.FromMonth.ToString("yyyy-MM-dd") })
                <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Dividend Maturity Month</label>
                @Html.TextBoxFor(m => m.ToMonth,
                    new { @class = "form-control col-sm-3 col-lg-3 col-md-3", type = "date", @readonly = "readonly", @Value = Model.ToMonth.ToString("yyyy-MM-dd") })
            </div>
            @Html.HiddenFor(m => m.PaymentID)
        </div>
        <div class="card-footer">
            <button type="submit" class="submit btn btn-sm btn-primary" onclick="givingPaymentDateValue()">
                <i class="fa fa-dot-circle-o"></i> Submit
            </button>


            <button type="reset" class="reset btn btn-sm btn-danger">
                <i class="fa fa-ban"></i> Reset
            </button>
            <button type="button" class="btn btn-sm btn-primary" onclick="javascript:window.history.back();">
                <i class="fa fa-angle-left"></i> Back
            </button>

        </div>
    }

</div>
    </body>

<script>
    $(document).ready(function () {
        $("#newItem").remove();

        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function () {
            window.print();
        });

        $('#reloadItem').click(function () {
            location.reload();
        });

        $("#dashboardItem").click(function () {
            //document.location = 'Url.Action("ExportExcel", "OwnersInfo")';
        });
        $("#reportItem").remove();
    });
</script>
